package p.studio.compiler.source.tables;

import p.studio.compiler.source.identifiers.TypeSurfaceId;

public class TypeSurfaceTable extends InternTable<TypeSurfaceId, TypeSurfaceRef> {

    public TypeSurfaceTable() {
        super(TypeSurfaceId::new);
    }

    public TypeSurfaceId register(final String surface) {
        return register(new TypeSurfaceRef(surface));
    }
}
